org.apache.cassandra.serializers

## Interface TypeSerializer<T>

All Known Implementing Classes:
  AbstractTextSerializer, AsciiSerializer, BooleanSerializer, ByteSerializer, BytesSerializer, CollectionSerializer, CounterSerializer, DecimalSerializer, DoubleSerializer, EmptySerializer, FloatSerializer, InetAddressSerializer, Int32Serializer, IntegerSerializer, ListSerializer, LongSerializer, MapSerializer, SetSerializer, ShortSerializer, SimpleDateSerializer, TimeSerializer, TimestampSerializer, TimeUUIDSerializer, TupleSerializer, UserTypeSerializer, UTF8Serializer, UUIDSerializer

    public interface TypeSerializer<T>

### Method Summary

All Methods Instance Methods Abstract Methods
`T` `deserialize(java.nio.ByteBuffer bytes)`
`java.lang.Class<T>` `getType()`
`java.nio.ByteBuffer` `serialize(T value)`
`java.lang.String` `toString(T value)`
`void` `validate(java.nio.ByteBuffer bytes)`

### Method Detail

#### serialize

    java.nio.ByteBuffer serialize(T value)

#### deserialize

    T deserialize(java.nio.ByteBuffer bytes)

#### validate

    void validate(java.nio.ByteBuffer bytes)
           throws MarshalException

Throws:
  `MarshalException`

#### toString

    java.lang.String toString(T value)

#### getType

    java.lang.Class<T> getType()